Skip to main content
GET
Get attachment details

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Path Parameters

attachmentId
string<uuid>
required

Unique identifier of the attachment.

Response

Attachment details returned successfully

id
string<uuid>
required

Unique identifier of the attachment.

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

name
string
required

Name of the attachment.

Example:

"product-overview.pdf"

downloadPublicUrl
string
required

Public URL for downloading the attachment from CDN.

Example:

"https://cdn.example.com/attachments/product-overview.pdf"

contentType
string
required

MIME type of the attachment.

Example:

"application/pdf"

sizeInBytes
integer<int64>
required

Size of the attachment in bytes.

Example:

1048576

scope
enum<string>
required

Content scope of the node.

Available options:
INTERNAL,
EXTERNAL
Example:

"INTERNAL"

publicContentUrl
string

Public URL for accessing the attachment in Public Content.

Example:

"https://public.example.com/attachments/product-overview.pdf"